# Add test numbers to sender for project

Returns updated test number states of sender for a project.

    Please note that if you re-add verified number, state will be changed to unverified and an invite to become a tester will be sent again.

Endpoint: POST /v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `senderId` (string, required)

## Request body:

  - `application/json` (unknown)
    Test numbers to add

## Request fields (application/json):

  - `testNumbers` (array, required)
    Phone numbers for testing. An agent can send 20 tester requests each day with a total maximum of 200 tester requests.

## Request examples:

  - `Body request for add test numbers` (unknown)
    Example body request to add test numbers.

  - `[Deprecated] Body request for add test numbers` (unknown)
    Example body request to add test numbers.

## Response 200:

  - `200` (unknown)
    Test number states

## Response 200 fields (application/json):

  - `testNumbers` (array, required)
    Test numbers states.

  - `testNumbers.number` (string, required)
    Test phone number.

  - `testNumbers.state` (string, required)
    Test phone state.
    Enum: "DECLINED", "INVALID", "PENDING", "REJECTED", "UNVERIFIED", "VERIFIED", "UNRECOGNIZED"

  - `testNumbers.submitted` (string, required)
    Date of submitting phone number.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: invalid_id_format

  - `message` (string)
    Human readable message.
    Example: Id is not in the expected format.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: senderId param is in the wrong format. Confirm that you're sending the correct value.

  - `additionalInformation` (object)
    Additional information for error.
    Example: {"validationErrors":["each value in testNumbers must be a string"]}

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_found

  - `message` (string)
    Human readable message.
    Example: Project not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the projectId is correct.

## Response 429:

  - `429` (unknown)
    TooManyRequests

## Response 429 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: rbm_too_many_requests

  - `message` (string)
    Human readable message.
    Example: RCS Business Messaging too many requests.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `Test number states` (unknown)
    Test number states.

